/*
   Arpad-hazi csaladfa reszlet  
*/   

/* tenyek */
apja(almos , arpad).
apja( arpad , levente).
apja( arpad , tarhos).
apja( arpad , solt).
apja(         solt , taksony).
apja(                taksony , geza).
apja(                          geza , istvan). 
apja(                                 istvan ,    imre).
apja(                          geza , judit).
apja(                          geza , 'leany 1').
apja(                          geza , 'leany 2').
apja(                                  orseolo ,   peter).
apja(                taksony , mihaly).
apja(                          mihaly , vazsoly).
apja(                                   vazsoly , endre).
apja(                                             endre , salamon).
apja(                                             endre , adelhaid).
apja(                                   vazsoly , bela).
apja(                                             bela , 'I. geza').
apja(                                                    'I. geza' , kalman).
apja(                                             bela , 'I. laszlo').
apja(                                             bela , eufemia).
apja(                                   vazsoly , levente).
apja(                           mihaly , laszlo).
   
felesege(geza,sarolta).
felesege(istvan,gizella).
felesege(orseolo,'leany 2').
felesege(laszlo,premiszlava).
felesege(endre,anasztazia).
felesege(bela,rixa).
felesege(salamon,judit).
felesege(vratislav,adelhaid).
felesege('I. geza','gorog no').
felesege(kalman,buzilla).
felesege(kalman,eufemia).

fejedelem(almos,819,895).
fejedelem(arpad,889,907).
fejedelem(solt,907,947).
fejedelem(taksony,947,970).
fejedelem(geza,970,997).
fejedelem(istvan,997,1001).

kiraly(istvan,1001,1038).
kiraly(peter,1038,1041).
kiraly(peter,1044,1046).
kiraly(endre,1046,1060).
kiraly(bela,1060,1063).
kiraly(salamon,1063,1074).
kiraly('I.geza',1074,1077).
kiraly('I.laszlo',1077,1095).
kiraly(kalman,1095,1116).

/* szabalyok */


anyja(Anya, Gyerek) :- apja(Apa, Gyerek) , felesege(Apa,Anya).

csaladtag(X)
	:- X=almos ; X=arpad ; X=levente ; X=tarhos ; X=solt ;
	   X=taksony ; X=geza ; X='leany 1' ; X='leany 2' ;
	   X=istvan ; X=imre ; X=orseolo ; X=peter ; X=mihaly ;
	   X=vazsoly ; X=bela ; X=endre ; X=salamon ; X=adelhaid ;
	   X='I. geza' ; X=kalman ; X='I. laszlo' ; X=eufemia ;
	   X=levente ; X=laszlo.
csaladtag(X)
	:- X=sarolta ; X=gizella ; X='leany 2' ; X=premiszlava ;
	   X=anasztazia ; X=rixa ; X=judit ; X=adelhaid ; X='gorog no' ;
	   X=buzilla ; X=eufemia.
